1.0

1.0

get /v1/network-logging/storages

Description

Network Logging Storage 목록 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_type
required
리소스 타입
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingStorageListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/storages?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_storages": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_type": "FIREWALL"
        }
    ]
}